# Before 'make install' is performed this script should be runnable with
# 'make test'. After 'make install' it should work as 'perl Interest.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use strict;
use warnings;

use Test::More tests=>5;

BEGIN { use_ok('Interest') };

#Simple interest
is( simple(100,5,2), 10, "Simple working!" );
isnt( simple(100,5,2), 15, "Simple intrest not 15 working!" );

#compund interest
is( compound(10000,5,2), 1025, "Compound working!");
isnt( compound(10000,5,2), 102, "Compound is not 102 working!");

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

